%define version 0
%define release %mkrel -c git20141004 5

Summary: Converter from wiki to LaTeX
Name:    latex_of_wiki
Version: %{version}
Release: %{release}
# Archive retrieved 20141004
Source0: https://github.com/ocsigen/wikidoc/archive/6882ddf5d1e85de5da924819dc824f94db278f69.zip
License: GPLv2+
Group:   Development/OCaml
Url:     https://github.com/ocsigen/wikidoc

BuildRequires: ocaml-compiler
BuildRequires: ocaml-lwt-devel
BuildRequires: ocaml-pcre-devel
BuildRequires: camlp4

%description
Converter from wiki to LaTeX. Used in the Ocsigen project.

%prep
%setup -q -n wikidoc-6882ddf5d1e85de5da924819dc824f94db278f69

%build
pushd src/latex_of_wiki
sed -i 's/cmo/cmx/g' Makefile
sed -i 's/ocamlc/ocamlopt/g' Makefile
make
popd

%install
mkdir -p %{buildroot}%{_bindir}
cp src/latex_of_wiki/latex_of_wiki %{buildroot}%{_bindir}

%files
%{_bindir}/latex_of_wiki


%changelog
* Sun Sep 25 2016 pterjan <pterjan> 0-0.git20141004.5.mga6
+ Revision: 1056215
- Rebuild for fix in ocaml

* Mon Feb 08 2016 umeabot <umeabot> 0-0.git20141004.4.mga6
+ Revision: 945338
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-0.git20141004.3.mga5
+ Revision: 749299
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 malo <malo> 0-0.git20141004.2.mga5
+ Revision: 737486
- fix buildrequires
- compile the native version and get rid of requires
- add missing requires

* Sun Oct 05 2014 malo <malo> 0-0.git20141004.1.mga5
+ Revision: 736925
- imported package latex_of_wiki

